> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Return account info of current account

GET https://api.prod.paradex.trade/v1/account/info

Reference: https://docs.paradex.trade/api/prod/account/get-info

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Response

### 200

OK

- `results` (list of responses.AccountInfoResponse, optional)

## Types

### responses.AccountInfoResponse

- `account` (string, optional) — Starknet address of the account
- `created_at` (integer, optional) — Account creation time
- `derivation_path` (string, optional) — Account derivation path used to derive the account, if a sub-account
- `fees` (responses.Fees, optional)
- `has_ecosystem_nft` (boolean, optional) — True if account owns an ecosystem NFT (Money Badgers / ShizoPunk) — qualifies for the lower retail tier thresholds
- `isolated_market` (string, optional) — Isolated market for the account
- `kind` (enum, optional) — Account kind
  - Allowed values: ``, `main`, `subaccount`, `vault_operator`, `vault_sub_operator`
- `parent_account` (string, optional) — Starknet address of the parent account
- `public_key` (string, optional) — Starknet public key
- `username` (string, optional) — Username of the account
- `volume_tiers` (map from string to responses.VolumeTierKindInfo, optional) — Volume tier info by kind

### responses.Fees

- `commission_rate` (string, optional) — deprecated, always zero
- `dated_option_maker_rate` (string, optional)
- `dated_option_taker_rate` (string, optional)
- `discount_rate` (string, optional) — deprecated, always zero
- `maker_rate` (string, optional)
- `perp_option_maker_rate` (string, optional)
- `perp_option_taker_rate` (string, optional)
- `spot_maker_rate` (string, optional)
- `spot_taker_rate` (string, optional)
- `taker_rate` (string, optional)

### responses.VolumeTierKindInfo

- `tier` (string, optional) — Effective tier name, e.g. "VIP 1"
- `volume` (string, optional) — Traded volume for the tier's duration window

## Examples

**Response**

```json
{
  "results": [
    {
      "account": "0x495d2eb5236a12b8b4ad7d3849ce6a203ce21c43f473c248dfd5ce70d9454fa",
      "created_at": 1681471234972,
      "derivation_path": "m/44'/9004'/0'/0/1",
      "fees": {
        "commission_rate": "0.0001",
        "dated_option_maker_rate": "0.0001",
        "dated_option_taker_rate": "0.0001",
        "discount_rate": "0.9",
        "maker_rate": "0.0001",
        "perp_option_maker_rate": "0.0001",
        "perp_option_taker_rate": "0.0001",
        "spot_maker_rate": "0.0001",
        "spot_taker_rate": "0.0001",
        "taker_rate": "0.0001"
      },
      "has_ecosystem_nft": false,
      "isolated_market": "ETHUSD-PERP",
      "kind": "main",
      "parent_account": "0x495d2eb5236a12b8b4ad7d3849ce6a203ce21c43f473c248dfd5ce70d",
      "public_key": "0x495d2eb5236a12b8b4ad7d3849ce6a203ce21c43f473c248dfd5ce70d",
      "username": "username",
      "volume_tiers": {}
    }
  ]
}
```

**SDK Code**

```python
import requests
headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {JWT}'
}

r = requests.get('https://api.prod.paradex.trade/v1/account/info', headers = headers)

print(r.json())

```

```javascript
const headers = {
  'Accept':'application/json',
  'Authorization':'Bearer {JWT}'
};

fetch('https://api.prod.paradex.trade/v1/account/info',
{
  method: 'GET',

  headers: headers
})
.then(function(res) {
    return res.json();
}).then(function(body) {
    console.log(body);
});

```

```go
package main
import (
      "bytes"
      "net/http"
)

func main() {

    headers := map[string][]string{
        "Accept": []string{"application/json"},
        "Authorization": []string{"Bearer {JWT}"},
    }

    data := bytes.NewBuffer([]byte{jsonReq})
    req, err := http.NewRequest("GET", "https://api.prod.paradex.trade/v1/account/info", data)
    req.Header = headers

    client := &http.Client{}
    resp, err := client.Do(req)
    // ...
}

```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.prod.paradex.trade/v1/account/info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.prod.paradex.trade/v1/account/info")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.prod.paradex.trade/v1/account/info', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.prod.paradex.trade/v1/account/info");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/account/info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```